Import Images

POST/api/2026-03/import/images
public-api:write
Latest version

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
systemName*
string

Identifier for the system you are importing from, e.g. an archive

webhook
uri

Endpoint at the importing system that gets notified by POST when import job is done. Notification contains the id of the import job, the state and an overview.

context
object

An object that is passed as context in the body of the request to the webhook. Limited to 8192 Bytes.

images*
array

An array of images to import. Each entry is an object with the following keys, all of which are required:

  • url: a URL to an image file, no data urls allowed, allowed types: png, jpg, gif, svg<br>
  • id: a unique id (stored as externalId in Livingdocs) that identifies the image on your end, must be unique within your project<br>
  • fileName: the title that the image should get in livingdocs<br>
  • metadata: An object of metadata according to your project config<br>
  • mediaType: The handle of one of the mediaTypes from your project configuration

Description

The image import creates image entries in the Media Library and upload the image asset to the configured blob storage. The image import in Livingdocs is asynchronous. You post a batch of images that you want to import and get back a jobId that you can use to retrieve the import job state.

You can patch existing media library entries with the patch endpoint.

Use Cases

  • Initial import from a legacy system - When doing an initial import one usually first imports all images and then imports documents referencing the images.

Responses

GET/api/2026-03/import/images/status
public-api:write
Latest version

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
id*
string

The id that Livingdocs provided you for your prior call to '/import/images'

Description

API endpoints for importing and checking status of image imports.

Responses

⌘ K to search